BAD_PARAM (Java Platform SE 8 )
Keywords: org.omg.CORBA.BAD_PARAM class
Date: 2026-04-22

org.omg.CORBA

## Class BAD_PARAM

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.BAD_PARAM

- All Implemented Interfaces:
    Serializable

      public final class BAD_PARAM
      extends SystemException

  Exception thrown when a parameter passed to a call is out of range or otherwise considered illegal. An ORB may raise this exception if null values or null pointers are passed to an operation (for language mappings where the concept of a null pointers or null values applies). BAD_PARAM can also be raised as a result of a client generating requests with incorrect parameters using the DII.

  It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

  Since:
    JDK1.2
  See Also:
    documentation on Java IDL exceptions, meaning of minor codes

- - ### Field Summary

    - ### Fields inherited from class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BAD_PARAM()` Constructs a `BAD_PARAM` exception with a default minor code of 0 and a completion state of COMPLETED_NO.
    `BAD_PARAM(int minor, CompletionStatus completed)` Constructs a `BAD_PARAM` exception with the specified minor code and completion status.
    `BAD_PARAM(String s)` Constructs a `BAD_PARAM` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
    `BAD_PARAM(String s, int minor, CompletionStatus completed)` Constructs a `BAD_PARAM` exception with the specified detail message, minor code, and completion status.

  - ### Method Summary

    - ### Methods inherited from class org.omg.CORBA.SystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BAD_PARAM

          public BAD_PARAM()

      Constructs a `BAD_PARAM` exception with a default minor code of 0 and a completion state of COMPLETED_NO.

    - #### BAD_PARAM

          public BAD_PARAM(String s)

      Constructs a `BAD_PARAM` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
      Parameters:
        `s` - the String containing a detail message describing this exception

    - #### BAD_PARAM

          public BAD_PARAM(int minor,
                           CompletionStatus completed)

      Constructs a `BAD_PARAM` exception with the specified minor code and completion status.
      Parameters:
        `minor` - the minor code
        `completed` - the completion status

    - #### BAD_PARAM

          public BAD_PARAM(String s,
                           int minor,
                           CompletionStatus completed)

      Constructs a `BAD_PARAM` exception with the specified detail message, minor code, and completion status. A detail message is a `String` that describes this particular exception.
      Parameters:
        `s` - the `String` containing a detail message
        `minor` - the minor code
        `completed` - the completion status

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.